#
# spec file for package python3-smbc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-smbc
BuildRequires:  libsmbclient-devel
BuildRequires:  pkg-config
BuildRequires:  python3-devel
Version:        1.0.15.4
Release:        6.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://cyberelk.net/tim/software/pysmbc/
Source:         https://pypi.python.org/packages/source/p/pysmbc/pysmbc-%{version}.tar.bz2
Summary:        Python bindings for samba clients (libsmbclient)
License:        GPL-2.0+
Group:          Development/Libraries/Python

%description
A module for using the Samba client API in Python programs.

%prep
%setup -q -n pysmbc-%{version}

%build
CFLAGS="%{optflags} -DVERSION=\\\"%version\\\"" \
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{python3_sitearch}/*

%changelog
* Tue May 26 2015 arun@gmx.de
- update to version 1.0.15.4:
  * added some constants
* Sat Jan 17 2015 arun@gmx.de
- specfile: update copyright year
- removed pre_checking.sh: edited python-* files into python3 files,
  but we only use python3 files to begin with nowadays
- update to version  1.0.15.3:
  * added smbc.ConnectionRefusedError
- changes from version 1.0.15.1:
  * Return direntry with unicode string
- changes from version 1.0.15:
  * Working with Python3
* Tue Jul 15 2014 toddrme2178@gmail.com
- Update to 1.0.14.1
  * Fix for Python 2.6
- Update to 1.0.14
  * Context.set_credentials_with_fallback()
  * Context.getxattr, Context.setxattr
  * smbc.XATTR, smbc.XATTR_ACL, smbc.XATTR_ACL_SID, smbc.XATTR_ALL,
    smbc.XATTR_ALL_SID, smbc.XATTR_FLAG_CREATE, smbc.XATTR_FLAG_REPLACE,
    smbc.XATTR_GROUP, smbc.XATTR_GROUP_SID, smbc.XATTR_OWNER,
    smbc.XATTR_OWNER_SID, smbc.XATTR_REVISION
- Remove upstream-included python3-smbc-pkg-config.patch
* Mon Sep  2 2013 zaitor@opensuse.org
- Add python3-smbc-pkg-config.patch, fixes build with samba 4.
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
* Wed Feb 15 2012 dimstar@opensuse.org
- Update to version 1.0.13:
  + Call initial libsmbclient functions in right order.
  + Memory/connection leaks.
* Tue Dec 20 2011 vuntz@opensuse.org
- Update to version 1.0.12:
  + Add Context.optionUseKerberos
  + Add Context.optionFallbackAfterKerberos
* Fri May 27 2011 vuntz@opensuse.org
- Update to version 1.0.11:
  + read/iternext now use Bytes type
* Wed Nov 10 2010 vuntz@opensuse.org
- Update to version 1.0.10:
  + smbc.NoSpaceError
  + Now buildable against Python 3
* Mon Sep  6 2010 coolo@novell.com
- Fix build with python 2.7, by fixing a filename in the file list.
* Mon Aug 23 2010 dimstar@opensuse.org
- Update to version 1.0.9:
  + iteration file read
  + rewrite tests for python nose
  + fixed stat portability issue
  + smbc.NoEntryError
  + smbc.ExistsError
  + smbc.NotEmptyError
  + smbc.TimedOutError
  + File.seek() and File.lseek()
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 1.0.8:
  + Context.chmod()
  + Context.rename()
  + Context.unlink()
  + Context.creat()
- Changes from version 1.0.7:
  + Context.open: omissible flags and mode
  + File: omissible flags and mode
  + File.read()
  + smbc.PermissionError
  + Context.mkdir()
  + Context.stat()
  + File.fstat()
  + File.write()
  + File.close()
* Sat Feb 21 2009 vuntz@novell.com
- Split from system-config-printer.
